DEBUGEDIT(8)

NAME
debugedit - Debuginfo editing helper

SYNOPSIS
debugedit [options] file

DESCRIPTION
This manual page documents briefly the debugedit command, which can be used to edit debuginfo section of object files (either binaries or separate debug info files). It is useful for producing consistent information in binaries for debugging regardless build location. The command takes exactly one file argument and edits the file in-place.

-b, --base-dir=STRING
    base build directory of objects

-d, --dest-dir=STRING
    directory to rewrite base-dir into

-l, --list-file=STRING
    file where to put list of source and header file names

-i, --build-id
    recompute build ID note and print ID on stdout

-s, --build-id-seed=STRING
    if recomputing the build ID note use this string as hash seed

-n, --no-recompute-build-id
    do not recompute build ID note even when-i or -s are given

  Help options:

-?, --help
    Show this help message

-u, --usage
    Display brief usage message

-V, --version
    Show debugedit version

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.